/** *********************************************************************
 \file fonction2-V02.cpp

    \brief Ce programmme eleve une valeur au carre.

    \author   Gabriel Girard
    \date     7 aout 2014
    \version  0.2

    <b>Entrees:</b>
        \li (\c clavier) a  (\c reel)
        \li (\c clavier) b  (\c reel)
        \li (\c clavier) c  (\c reel)

    <b>Sorties:</b>
        \li (\c ecran) total  (\c reel)

    Ce programme contient encore une ou plusieurs erreurs.....
    Trouvez-les!
********************************************************************** **/

/*-- Bibliotheques utilisees  --*/
#include <iostream>

using namespace std;

/**
    \brief Programme principal effectuant la lecture de la valeur
           et l'affichage du resultat
 **/
int main()
{
  // fonctions utilisees
  int carre(int x);
  // donnees locales
  int x, valeur;

  // lecture de la valeur
  cout << "Entrez la valeur a elever au carre: " ;
  cin >> x; ;
  // Calcul du carre
  valeur = carre(x) ;
  // Affichage du resultat
  cout << "Le carre de x est (dans le main) " << valeur
          << endl << endl;
  return 0;
}
/** ***********************************************************************
 \brief Cette fonction additionne trois valeurs reelles

  \param[in]  x - valeur a elever au carre

  \return La carre de la valeur
************************************************************************ **/
int carre(int x)
{
  x = x * x;
  cout << "\nCalcul du carre....... "<< endl;
}
